Query Open Orders
GETπ Trading
Returns open orders that have not been matched or were recently matched.
Request Parametersβ
| Name | Type | Required | Description |
|---|---|---|---|
| symbol | String | No | Market symbol |
| orderID | String | No | Filter by internal order ID |
| clOrderID | String | No | Filter by custom order ID (ignored if orderID provided) |
Response Contentβ
| Name | Type | Description |
|---|---|---|
| symbol | String | Market symbol |
| orderID | String | Order ID |
| clOrderID | String | Custom order ID |
| orderType | Integer | 76: Limit Β· 77: Market Β· 80: Algo |
| side | String | Trade side |
| price | Double | Order price |
| orderValue | Double | Notional value |
| originalOrderSize | Integer | Original quantity |
| currentOrderSize | Integer | Latest quantity |
| totalFilledSize | Integer | Cumulative filled |
| remainingSize | Integer | Remaining quantity |
| timestamp | Long | Order timestamp |
| timeInForce | String | Order validity |
| triggerOrder | Boolean | Whether trigger order |
| triggered | Boolean | Whether triggered |
| triggerPrice | Double | Trigger price |
| reduceOnly | Boolean | Whether reduce-only |
| avgFilledPrice | Double | Average filled price |
| orderState | String | Order state β STATUS_ACTIVE Β· STATUS_INACTIVE |
| takeProfitOrder | Object | Take profit order info |
| stopLossOrder | Object | Stop loss order info |
| closeOrder | Boolean | Whether closes a position |
| positionMode | String | ONE_WAY Β· HEDGE Β· ISOLATED |
| positionDirection | String | Position direction: LONG Β· SHORT (only present in HEDGE/ISOLATED mode) |
| positionId | String | Position ID |
| contractSize | Double | Contract size |
example
GET
https://api.btse.com/futures/api/v2.3/user/open_ordersResponse
[]